New Mobile App for Proxmox VE!

fabian

Proxmox Staff Member
Staff member
Jan 7, 2016
7,483
1,396
164
  • Like
Reactions: blackangus
Nov 27, 2018
15
5
8
58
Germany
I'm using the APK with sha256: 0c3be4ce4a17f100a4885cd3a0b377b00edc35212ce241e6b65332cf32fbf03a

When tapping on an lxc container an error window is popping up with deserialization errors.
It is the container vmid that's causing the error message: type '_Smi' is not a subtype of type 'String' in type cast

I've opened Bug 3978
Add Comment
 
  • Like
Reactions: fireon
Nov 27, 2018
15
5
8
58
Germany
It looks like the download link for the APK earlier in this thread is outdated in the meantime.
A newer version can be downloaded from pve-mobile-testbuild-1.4.2.apk with (sha256sum 40a8c083d478794d94ba81fc234cf4adafbbaf7f4f5b8a4a08cb0ec2f5e3d976).
The new version solves the deserialization problem.

Would it be possible to provide a download link on the main proxmox.com website which will be updated if newer versions become available please. It looks like I'm not the only one who doesn't use the PlayStore.
 

KMJ

New Member
Jul 10, 2021
18
1
3
60
It looks like the download link for the APK earlier in this thread is outdated in the meantime.
A newer version can be downloaded from pve-mobile-testbuild-1.4.2.apk with (sha256sum 40a8c083d478794d94ba81fc234cf4adafbbaf7f4f5b8a4a08cb0ec2f5e3d976).
The new version solves the deserialization problem.

Would it be possible to provide a download link on the main proxmox.com website which will be updated if newer versions become available please. It looks like I'm not the only one who doesn't use the PlayStore.
+1 for apk-Download Link too. LineageOS, no Gapps, F-Droid only, so no Google Play here too.
 

KMJ

New Member
Jul 10, 2021
18
1
3
60
I updated my App on LineageOS 18.1 and even through VPN it works pretty good . My problem is, I can not buy in the Goole App Store, because I am Google free, using F-Droid only, so I am unable to buy the spice viewer which works as external App. Trying to open noVNC Console ends up in a grey screen, b no console appearing. I do have a letsencrypt cert for my domain, so the named requirement should be ok. Any hint?

Thank you,

Karl

Edit: Validate Cert must be off in my setup, even the X1 CA is installed and working. So the cert should be valid, unsure how Proxmox App validates certs.

SOLVED: My bad..... Connecting using the IP to a site having Letsencrypt Cert.... Now connecting using hostname, all is good. Great work.
 
Last edited:

apu-k

New Member
May 23, 2022
1
1
1
I don't know how popular such setup as mine is, but I'm using an nginx proxy with basic authentication for some more security to the gui.
The app accepts user:password@ip:port as the origin server and goes through the first part of authentication - pve's login and password - successfully (I see the basic authentication username in nginx logs).
What blocks the access is OTP (getting 401: Unauthorized) which, according to logs, is sent without the basic authentication credentials, so it looks like it's stripping the part before the @.
Here is a snippet of the logs:
NGINX:
xxx.xxx.xxx.xxx - bau [23/May/2022:15:15:39 +0200] "GET /api2/json/access/domains HTTP/1.1" 200 159 "-" "Dart/2.15 (dart:io)"
xxx.xxx.xxx.xxx - bau [23/May/2022:15:15:57 +0200] "POST /api2/json/access/ticket HTTP/1.1" 200 504 "-" "Dart/2.15 (dart:io)"
xxx.xxx.xxx.xxx - - [23/May/2022:15:16:17 +0200] "POST /api2/json/access/tfa HTTP/1.1" 401 172 "-" "Dart/2.15 (dart:io)"
 
Last edited:
  • Like
Reactions: XueSheng

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!